package database

data class SoundChannel(val index: UInt, val channel: String, val ip: String) {


    override fun toString(): String {
        return "SoundChannel(index=$index, channel='$channel', ip='$ip')"
    }

    /**
     * Check if both channel and ip are not empty
     * @return true if both channel and ip are not empty, false otherwise
     */
    fun isNotEmpty() : Boolean {
        return channel.isNotEmpty() && ip.isNotEmpty()
    }
}
